Summary:	Apache2 module for high-performance server-side scripting
Name:		mod_fastcgi
Version:	2.4.6
Release:	1%{?dist}
License:	Open Market FastCGI
Group:		System Environment/Daemons
URL:		http://www.fastcgi.com/
Source0:	http://www.fastcgi.com/dist/mod_fastcgi-%{version}.tar.gz
Source1:	fastcgi.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	httpd >= 2.0
Requires:	httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && %{__cat} %{_includedir}/httpd/.mmn || echo missing)
BuildRequires:	httpd-devel >= 2.0, pkgconfig

%description
This third-party module provides support for the FastCGI protocol. FastCGI is a
language-independent, scalable, open extension to CGI that provides high
performance and persistence without the limitations of server specific APIs.

Note that the license terms for this package include a field-of-use restriction
and that it is therefore not free software - see LICENSE.TERMS.

%prep
%setup -q
%{__cp} Makefile.AP2 Makefile

%build
topdir=$(/usr/bin/dirname $(/usr/sbin/apxs -q exp_installbuilddir))
%{__make} top_dir=${topdir}

%install
%{__rm} -rf %{buildroot}
topdir=$(/usr/bin/dirname $(/usr/sbin/apxs -q exp_installbuilddir))
%{__make} \
	top_dir=${topdir} \
	DESTDIR=%{buildroot} \
	MKINSTALLDIRS="%{__mkdir_p}" \
	install

# Install the config file
%{__install} -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/fastcgi.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES docs/
%{_libdir}/httpd/modules/mod_fastcgi.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/fastcgi.conf

%changelog
* Wed Jun 24 2009 Paul Howarth <paul@city-fan.org> 2.4.6-1
- update to 2.4.6
- drop all existing patches - applied upstream
- add note about field-of-use restriction in %%description
- add buildreq of pkgconfig, a missing dependency of both apr-devel and
  apr-util-devel on FC5

* Wed May 30 2007 Paul Howarth <paul@city-fan.org> 2.4.2-4
- incorporate changes from latest upstream snapshot (dated 2004!) sent by
  Torsten Kalix <tkalix@bredex.de>, mainly related to restart backoff handling
- include mod_fastcgi-2.4.2-fix_warnings.patch, also from Torsten Kalix

* Mon Jul 24 2006 Paul Howarth <paul@city-fan.org> 2.4.2-3
- Fix FC6 build (/etc/httpd/build symlink gone)

* Wed Mar 22 2006 Paul Howarth <paul@city-fan.org> 2.4.2-2
- Add patch to support Apache httpd 2.2
  (http://fastcgi.com/archives/fastcgi-developers/2005-December/004060.html)

* Mon Jan 16 2006 Paul Howarth <paul@city-fan.org> 2.4.2-1
- Initial RPM build
